// --------------------------------------------------------------------------
#ifndef TDx_Draw3D_Library_Install_H
#define TDx_Draw3D_Library_Install_H

// ==========================================================================
// File:         TDx_Draw3D_Library_Install.H
// Authors:      BCB_Code_Generator v1.70,Darren Dwyer
// Description:  This file includes all files required by the 
//               TDx_Draw3D_Library v1.70. 
//
// "TDx_Draw3D_Library v1.70"
// (c) 2003 BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif
// --------------------------------------------------------------------------
#include "TDx_Library_Defns.H"
#include "TDx_Library_Functions.H"
#include "TDx_Draw3D_Library_Defns.H"
#include "TDx_Draw3D_Library_Functions.H"
// --------------------------------------------------------------------------
#include "TDDBltFX.H"
#include "TDDCaps.H"
#include "TDDColorControl.H"
#include "TDDColorKey.H"
#include "TDDDeviceIdentifier.H"
#include "TDDGammaRamp.H"
#include "TDDOverlayFX.H"
#include "TDDPixelFormat.H"
#include "TDDSCaps.H"
#include "TDDSurfaceDesc.H"
#include "TDDVideoPortBandwidth.H"
#include "TDDVideoPortCaps.H"
#include "TDDVideoPortConnect.H"
#include "TDDVideoPortDesc.H"
#include "TDDVideoPortInfo.H"
#include "TDDVideoPortStatus.H"
#include "TDx_Draw.H"
#include "TDx_DrawClipper.H"
#include "TDx_DrawColorControl.H"
#include "TDx_DrawGammaControl.H"
#include "TDx_DrawPalette.H"
#include "TDx_DrawSurface.H"
#include "TDx_DrawVideoPort.H"
#include "TDx_DrawVideoPortContainer.H"
#include "TD3DClipStatus.H"
#include "TD3DColorValue.H"
#include "TD3DDP_PtrStride.H"
#include "TD3DDevInfo_TextureManager.H"
#include "TD3DDevInfo_Texturing.H"
#include "TD3DDeviceDesc.H"
#include "TD3DDrawPrimitiveStridedData.H"
#include "TD3DLVertex.H"
#include "TD3DLight.H"
#include "TD3DLightingCaps.H"
#include "TD3DLinePattern.H"
#include "TD3DMaterial.H"
#include "TD3DMatrix.H"
#include "TD3DPrimCaps.H"
#include "TD3DRect.H"
#include "TD3DTLVertex.H"
#include "TD3DVector.H"
#include "TD3DVertex.H"
#include "TD3DVertexBufferDesc.H"
#include "TD3DViewPort.H"
#include "TDx_3D.H"
#include "TDx_3DDevice.H"
#include "TDx_3DVertexBuffer.H"
// --------------------------------------------------------------------------
#endif
