# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = TDx_Draw3D_Library_Build.exe
OBJFILES = TDx_Draw3D_Library_Build.obj \
   ..\..\..\Source\TDx_Library_Functions.obj \
   ..\..\..\Source\TDx_Library_Defns.obj \
   ..\..\Source\TDx_Draw3D_Library_Defns.obj \
   ..\..\Source\TDx_Draw3D_Library_Functions.obj \
   ..\..\Source\TD3DClipStatus.obj \
   ..\..\Source\TD3DColorValue.obj \
   ..\..\Source\TD3DDP_PtrStride.obj \
   ..\..\Source\TD3DDevInfo_TextureManager.obj \
   ..\..\Source\TD3DDevInfo_Texturing.obj \
   ..\..\Source\TD3DDeviceDesc.obj \
   ..\..\Source\TD3DDrawPrimitiveStridedData.obj \
   ..\..\Source\TD3DLVertex.obj \
   ..\..\Source\TD3DLight.obj \
   ..\..\Source\TD3DLightingCaps.obj \
   ..\..\Source\TD3DLinePattern.obj \
   ..\..\Source\TD3DMaterial.obj \
   ..\..\Source\TD3DMatrix.obj \
   ..\..\Source\TD3DPrimCaps.obj \
   ..\..\Source\TD3DRect.obj \
   ..\..\Source\TD3DTLVertex.obj \
   ..\..\Source\TD3DVector.obj \
   ..\..\Source\TD3DVertex.obj \
   ..\..\Source\TD3DVertexBufferDesc.obj \
   ..\..\Source\TD3DViewPort.obj \
   ..\..\Source\TDDBltFX.obj \
   ..\..\Source\TDDCaps.obj \
   ..\..\Source\TDDColorControl.obj \
   ..\..\Source\TDDColorKey.obj \
   ..\..\Source\TDDDeviceIdentifier.obj \
   ..\..\Source\TDDGammaRamp.obj \
   ..\..\Source\TDDOverlayFX.obj \
   ..\..\Source\TDDPixelFormat.obj \
   ..\..\Source\TDDSCaps.obj \
   ..\..\Source\TDDSurfaceDesc.obj \
   ..\..\Source\TDDVideoPortBandwidth.obj \
   ..\..\Source\TDDVideoPortCaps.obj \
   ..\..\Source\TDDVideoPortConnect.obj \
   ..\..\Source\TDDVideoPortDesc.obj \
   ..\..\Source\TDDVideoPortInfo.obj \
   ..\..\Source\TDDVideoPortStatus.obj \
   ..\..\Source\TDx_3D.obj \
   ..\..\Source\TDx_3DDevice.obj \
   ..\..\Source\TDx_3DVertexBuffer.obj \
   ..\..\Source\TDx_Draw.obj \
   ..\..\Source\TDx_DrawClipper.obj \
   ..\..\Source\TDx_DrawColorControl.obj \
   ..\..\Source\TDx_DrawGammaControl.obj \
   ..\..\Source\TDx_DrawPalette.obj \
   ..\..\Source\TDx_DrawSurface.obj \
   ..\..\Source\TDx_DrawVideoPort.obj \
   ..\..\Source\TDx_DrawVideoPortContainer.obj \
   ..\..\Source\TDx_Draw3D_Library_Install.obj
RESFILES =
RESDEPEN = $(RESFILES)
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -$U -$L- -$D- $Y -JPHNV -M
RFLAGS = -i..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl
LFLAGS = -L..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
